world = r"""
         /\    /\                              ############        ##    ##      ## ####     ##     
/\      /  \  /  \                              ## #### ##        ####  ####     ||  ##  ## #### ## 
  \    /    \/    \                             ||  ##  ||        ####  ####  ##     || ############
   \ /\   /\    /\~                                 ||  ##      ## ##    ##  ####   ##  #### ## ####
    /  \ /  \  /  \~~                                  #### ## ####|| ## ||  ####  ####  ##  ||  ## 
   /    \    \/    \~~~~~~~                            ############  ####     ##   ####  ||      || 
      /\    ?        ~~~~~~~~~~~~~                      ## #### ##   ####     ||    ## ##     ##    
     /  \                ~~~~~~~~~~~~~                  ||  ##  ||    ## ##      ## ||####   ####   
  /\/    \                      ~~~~~~~~~~~                 ||        ||#### ## ####  ####   ####   
 /  \                               ~~~~~~~~~~~~~~~~     ###            ############   ##     ##    
/    \/\     _______________             ~~~~~~~~~~~~~~ #####            ## #### ##    ||  ## ||    
  /\ /  \   / Palais Narfec \                     ~~~~~~ ###             ||  ##  ||       ####      
 /  \    \ /_________________\                       ~~~~/|\                 ||    ##     ####      
/   /\     |  __   ___   __  |                        ~~~                         #### ##  ##   ##  
   /  \    | /  \ / _ \ /  \ |            *           ~~~             ________    ######## ||  #### 
/\/    \   |_|  |_|/^\|_|  |_|                     ~~~~~ ##      ##  / Tal'za \    ## ####     #### 
  \                                              ~~~~~~~#### ## #### |<> <> <>|    ||  ##       ##  
   \_         #####   #####             ~~~~~~~~~~~~~   ############ |    _   |  ##    ||    ## ||  
     \        #####   #####           ~~~~~~~~~~~~       ## #### ##  |___|^|__| ####    ##  ####    
      \        |_|     |_|            ~~~~               ||  ##  ||             ####   #### ####    
       \                              ~~~~~                  ||               *  ##    ####  ##     
              #####   #####            ~~~~~~~~~~          ##      ##            ||     ##   || ##  
              #####   #####              ~~~~~~~~~~~~~    #### ## ####            ##    || ##  #### 
               |_|     |_|          #           ~~~~~~~~~ ############           ####     #### #### 
                                   ###        _     ~~~~~~ ## #### ##            #### ##  ####  ##  
                                  #####      /+\__     ~~~ ||  ##  ||  ##      ## ## ####  ##   ||  
                                   | |       |_ []\     ~~     ||     #### ## ####|| ####  ||       
       _                                     |^___|   ~~~~            ############    ##     ##     
      /o\            _                              ~~~~~~  #          ## #### ##     ||    ####    
      |_|           /o\                         ~~~~~~~~   ###         ||  ##  ||   ##      ####    
          ___       |_|               ~~~~~~~~~~~~~~~     #####          _ ||      ####  ##  ##     
         / o \                     ~~~~~~~~~~~~~~~         | |        * /o\        #### #### ||     
         |___|            |      ~~~~~~~                                |_|         ##  ####        
   _           *      |   |~~~~~~~~~~                        ___                    ||   ##  ##     
  / \               ~~|   |~~~~~~~                          /<o>\           #         ## || ####    
  |_|       ~~~~~~~~~~|   |~~               #               |___|          ###       ####   #### ## 
      ~~~~~~~~~~~~~~~~|   |                ###                            #####      ####    ## ####
~~~~~~~~~~~~~~        |              #    #####  #       #                 | |        ##     || ####
~~~~~~~~                      #     ###    | |  ###     ###           _____           || ##      ## 
                 #           ###   #####       #####   #####         /|]O[|\___         ####  ## || 
 ##             ###   #     #####   | |   #     | |     | |   #      |   _  <o>\        #### ####   
####  ##       ##### ###     | |         ###                 ###     |__|^|____|         ##  ####   
#### ####       | | #####               #####               #####                        ||   ##    
 ##  ####    #       | |                 | |    #            | |                          ##  ||    
 || * ##    ###                      #         ###      #                 _              ####  ##   
  ##  ||   #####                    ###       #####    ###             * /o\             #### ####  
 ####       | |     _      _       #####       | |    #####              |_|              ##  ####  
 ####              / \    /o\ *     | |                | |    ___                       ##||   ##   
  ##           _   |^|    |_|               #                /<o>\                     ####  ##||   
  ||##  ___   /o\_                         ###    #          |^__|                     #### ####    
   ####/o  \  |  o\                       #####  ###                                    ##  ####    
   ####|___|  |___|                        | |  #####                            ##     ||   ##     
    ##                                           | |    ##             ##       ####  ##     ||     
    ||                               ##                ####  ##       ####  ##  #### ####           
  ##                                ####  ##           #### ####      #### ####  ##  ####           
 ####  ##                           #### ####   ##      ##  ####       ##  ####  ||   ##            
 #### ####     ##                    ##  ####  ####  ## ||   ## ##     ||   ## ##     ||            
  ##  ####    ####  ##        ##     ||   ##   #### ####     ||####  ##     ||####  ##              
  ||   ##     #### ####      ####  ##     ||    ##  ####       #### ####      #### ####             
       ||      ##  ####      #### ####      ##  ||   ##         ##  ####       ##  ####             
        ##     ||   ##        ##  ####     ####  ##  ||         ||   ##        ||   ##              
       ####  ##     || ##     ||   ##      #### ####                 ||             ||              
       #### ####      ####  ##     ||       ##  ####                                                
        ##  ####      #### ####             ||   ##                                                 
        ||   ##        ##  ####                  ||                                                 
             ||        ||   ##                                                                      
                            ||                                                                      
"""


smoastraund_house = (r"""
+----------+
| |*    \==|
| |_|      |
|          +-----+
|               *|
|          +-----+
|          |
|          |
+-|^|------+
""",
(73, 41), (3, 8))


hospital = (r"""
+-----------------+
| |   |   |   |   |
| |_| |_| |_| |_| |
|               * |
+----|^|----------+
""",
(46, 27), (6, 4))


narfec_castle = (r"""
+---+ +-------------+  +----+
|= *| |             |  |/==\|
|=  | |           * |  |*   |
|=  | |             |  |    |
|   | |----|[ ]|----|  |    |
|[ ]| |    $   $    |  |    |
|   +-+  /\     /\  |  |[ ]|+
|        \/     \/  |  |   | 
+-----+             +--+   | 
      |  /\     /\         | 
      |  \/     \/  +--+   | 
      |             |  |[=]|+
      +---+     +---+  |    |
          |     |      |    |
          |_|^|_|      +----+
""",
(20, 15), (13, 14))


monastery = (r"""
      +-----+-----+      
      | |   |  _  |      
      | |_| | |_| |      
      |     | |_| |      
      |     | |_| |      
      |     |    ?|  
+-----+-- --+-- --+-----+
| |=  |           |  =| |
| |_| |  ### ###  | |_| |
|       O### ###O       |
|     |  ##   ##  | *   |
|    *| O# ~~~ #O |     |
+-----+    ~~~    +-----+
|*    | O# ~~~ #O |     |
|     |  ##   ##  |     |
|       O### ###O      *|
| |=  |  ### ###  |  =| |
| |_| |          ?| |_| |
+-----+---|[ ]|---+-----+
      |           |      
      |           |      
      |       *   |      
      |           |      
      |           |      
      +----|^|----+      
""",
(74, 18), (12, 24))


rolen_house = (r"""
+----------+
|===/  \===|
| |        |
| |_|     ?|
|          |
+--|^|-----+
""",
(20, 48), (4, 5))


daren_house = (r"""
+-----+----------+
|     | |==| |=__|
|     | |=_| |_==|
|       |__| |==_|
|     |          |
|     |      *   |
+-----|^|--------+
""",
(62, 49), (7, 6))

